Configuration options specific to the {@link Driver SafariDriver}.

### Hierarchy

- Capabilities
  - Options

## Index

### Constructors

- constructor

### Methods

- [serialize]
- delete
- get
- getAcceptInsecureCerts
- getAlertBehavior
- getBrowserName
- getBrowserVersion
- getPageLoadStrategy
- getPlatform
- getProxy
- has
- keys
- merge
- set
- setAcceptInsecureCerts
- setAlertBehavior
- setBrowserName
- setBrowserVersion
- setLoggingPrefs
- setPageLoadStrategy
- setPlatform
- setProxy
- setTechnologyPreview
- chrome
- edge
- firefox
- ie
- safari

## Constructors

### constructor

- new Options(other?: {} | Capabilities | Map<string, any>): <internal>.Options

- Inherited from Capabilities.constructor

  #### Parameters

  - ##### Optional other: {} | Capabilities | Map<string, any>

    Another set of capabilities to initialize this instance from.

  #### Returns <internal>.Options

## Methods

### [serialize]

- [serialize](): {}

- Inherited from Capabilities.[serialize]

  suppress

    {checkTypes} Suppress [] access on a struct (state inherited from Map).

  #### Returns {}

  The JSON representation of this instance. Note, the returned object may contain nested promised values.

### delete

- delete(key: string): boolean

- Inherited from Capabilities.delete

  Deletes an entry from this set of capabilities.

  #### Parameters

  - ##### key: string

    the capability key to delete.

  #### Returns boolean

### get

- get(key: string): any

- Inherited from Capabilities.get

  #### Parameters

  - ##### key: string

    The capability to return.

  #### Returns any

  The capability with the given key, or {@code null} if it has not been set.

### getAcceptInsecureCerts

- getAcceptInsecureCerts(): boolean

- Inherited from Capabilities.getAcceptInsecureCerts

  #### Returns boolean

  whether the session is configured to accept insecure TLS certificates.

### getAlertBehavior

- getAlertBehavior(): string

- Inherited from Capabilities.getAlertBehavior

  #### Returns string

  the behavior pattern for responding to unhandled user prompts, or undefined if not set.

### getBrowserName

- getBrowserName(): string

- Inherited from Capabilities.getBrowserName

  #### Returns string

  the configured browser name, or undefined if not set.

### getBrowserVersion

- getBrowserVersion(): string

- Inherited from Capabilities.getBrowserVersion

  #### Returns string

  the configured browser version, or undefined if not set.

### getPageLoadStrategy

- getPageLoadStrategy(): string

- Inherited from Capabilities.getPageLoadStrategy

  Returns the configured page load strategy.

  #### Returns string

  the page load strategy.

### getPlatform

- getPlatform(): string

- Inherited from Capabilities.getPlatform

  #### Returns string

  the configured platform or undefined if not set.

### getProxy

- getProxy(): ProxyConfig

- Inherited from Capabilities.getProxy

  #### Returns ProxyConfig

  the configured proxy settings, or undefined if not set.

### has

- has(key: string): boolean

- Inherited from Capabilities.has

  #### Parameters

  - ##### key: string

    The capability to check.

  #### Returns boolean

  Whether the specified capability is set.

### keys

- keys(): IterableIterator<string>

- Inherited from Capabilities.keys

  #### Returns IterableIterator<string>

  an iterator of the keys set.

### merge

- merge(other: {} | Capabilities | Map<string, any>): Capabilities

- Inherited from Capabilities.merge

  Merges another set of capabilities into this instance.

  #### Parameters

  - ##### other: {} | Capabilities | Map<string, any>

    The other set of capabilities to merge.

  #### Returns Capabilities

  A self reference.

### set

- set(key: string, value: any): Capabilities

- Inherited from Capabilities.set

  throws

    {TypeError} If the `key` is not a string.

  #### Parameters

  - ##### key: string

    The capability key.

  - ##### value: any

    The capability value.

  #### Returns Capabilities

  A self reference.

### setAcceptInsecureCerts

- setAcceptInsecureCerts(accept: boolean): Capabilities

- Inherited from Capabilities.setAcceptInsecureCerts

  Sets whether a WebDriver session should implicitly accept self-signed, or other untrusted TLS certificates on navigation.

  #### Parameters

  - ##### accept: boolean

    whether to accept insecure certs.

  #### Returns Capabilities

  a self reference.

### setAlertBehavior

- setAlertBehavior(behavior: string): Capabilities

- Inherited from Capabilities.setAlertBehavior

  Sets the default action to take with an unexpected alert before returning an error. If unspecified, WebDriver will default to {@link UserPromptHandler.DISMISS_AND_NOTIFY}.

  #### Parameters

  - ##### behavior: string

    The way WebDriver should respond to unhandled user prompts.

  #### Returns Capabilities

  A self reference.

### setBrowserName

- setBrowserName(name: string): Capabilities

- Inherited from Capabilities.setBrowserName

  Sets the name of the target browser.

  #### Parameters

  - ##### name: string

    the browser name.

  #### Returns Capabilities

  a self reference.

### setBrowserVersion

- setBrowserVersion(version: string): Capabilities

- Inherited from Capabilities.setBrowserVersion

  Sets the desired version of the target browser.

  #### Parameters

  - ##### version: string

    the desired version.

  #### Returns Capabilities

  a self reference.

### setLoggingPrefs

- setLoggingPrefs(prefs: {} | Preferences): Capabilities

- Inherited from Capabilities.setLoggingPrefs

  Sets the logging preferences. Preferences may be specified as a {@link ./logging.Preferences} instance, or as a map of log-type to log-level.

  #### Parameters

  - ##### prefs: {} | Preferences

    The logging preferences.

  #### Returns Capabilities

  A self reference.

### setPageLoadStrategy

- setPageLoadStrategy(strategy: string): Capabilities

- Inherited from Capabilities.setPageLoadStrategy

  Sets the desired page loading strategy for a new WebDriver session.

  #### Parameters

  - ##### strategy: string

    the desired strategy.

  #### Returns Capabilities

  a self reference.

### setPlatform

- setPlatform(platform: string): Capabilities

- Inherited from Capabilities.setPlatform

  Sets the target platform.

  #### Parameters

  - ##### platform: string

    the target platform.

  #### Returns Capabilities

  a self reference.

### setProxy

- setProxy(proxy: ProxyConfig): Capabilities

- Inherited from Capabilities.setProxy

  Sets the proxy configuration for this instance.

  #### Parameters

  - ##### proxy: ProxyConfig

    The desired proxy configuration.

  #### Returns Capabilities

  A self reference.

### setTechnologyPreview

- setTechnologyPreview(useTechnologyPreview: boolean): <internal>.Options

- Instruct the SafariDriver to use the Safari Technology Preview if true. Otherwise, use the release version of Safari. Defaults to using the release version of Safari.

  #### Parameters

  - ##### useTechnologyPreview: boolean

  #### Returns <internal>.Options

  A self reference.

### Static chrome

- chrome(): Capabilities

- Inherited from Capabilities.chrome

  #### Returns Capabilities

  A basic set of capabilities for Chrome.

### Static edge

- edge(): Capabilities

- Inherited from Capabilities.edge

  #### Returns Capabilities

  A basic set of capabilities for Microsoft Edge.

### Static firefox

- firefox(): Capabilities

- Inherited from Capabilities.firefox

  #### Returns Capabilities

  A basic set of capabilities for Firefox.

### Static ie

- ie(): Capabilities

- Inherited from Capabilities.ie

  #### Returns Capabilities

  A basic set of capabilities for Internet Explorer.

### Static safari

- safari(): Capabilities

- Inherited from Capabilities.safari

  #### Returns Capabilities

  A basic set of capabilities for Safari.

Generated using TypeDoc